Package picard.analysis

## Interface WgsMetricsProcessor

- All Known Implementing Classes:
    `WgsMetricsProcessorImpl`

      public interface WgsMetricsProcessor

  Interface for processing data and generate result for CollectWgsMetrics

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addToMetricsFile​(htsjdk.samtools.metrics.MetricsFile<WgsMetrics,​Integer> file, boolean includeBQHistogram, CountingFilter dupeFilter, CountingFilter adapterFilter, CountingFilter mapqFilter, CountingPairedFilter pairFilter)` | Adds result metric's data to input file
    `void` | `processFile()` | Method processes the input data and accumulates result data

- - ### Method Detail

    - #### processFile

          void processFile()

      Method processes the input data and accumulates result data

    - #### addToMetricsFile

          void addToMetricsFile​(htsjdk.samtools.metrics.MetricsFile<WgsMetrics,​Integer> file,
                                boolean includeBQHistogram,
                                CountingFilter dupeFilter,
                                CountingFilter adapterFilter,
                                CountingFilter mapqFilter,
                                CountingPairedFilter pairFilter)

      Adds result metric's data to input file
      Parameters:
        `file` - MetricsFile for result of collector's work
        `includeBQHistogram` - include base quality histogram
        `dupeFilter` - counting filter for duplicate reads
        `adapterFilter` - counting filter for adapter reads
        `mapqFilter` - counting filter for mapping quality
        `pairFilter` - counting filter for reads without a mapped mate pair